### Function

# Gimp value_dup_int32_array

#### Declaration [src]

    gint32*
    gimp_value_dup_int32_array (
      const GValue* value,
      gsize* length
    )

#### Description [src]

Gets the contents of a `GIMP_TYPE_INT32_ARRAY` `GValue`.

#### Parameters

`value`

  Type: `GValue`

  A valid value of type `GIMP_TYPE_INT32_ARRAY`.

  The data is owned by the caller of the function.

`length`

  Type: `gsize*`

  The number of returned #int32 elements.

  The argument will be set by the function.

#### Return value

Type: An array of `gint32`

The contents of `value`.

The length of the array is in the `length` argument.
The caller of the function takes ownership of the data, and is responsible for freeing it.